// Here we test custom fonts and images on the OLED screen
#include "ZUNO_OLED32_64_I2C.h"
#include <ZUNO_OLED_FONT_NUMB16.h>
// You can use another builtin fonts for numbers..._NUMB24, _NUMB40
#include <ZUNO_OLED_FONT_RUS8.h> // Russian font
#include <ZUNO_OLED_IMG_LOGO.h> // Z-Uno logo

OLED oled;



// You can create your own image for OLED using oled_img_conv.py  srcipt. I located in the folder of OLED library
// Just a Z-Wawe PLUS LOGO
// We created this from bitmap file using this:
// python oled_img_conv.py conv ~/logo/Z-WavePlusProduct.bmp -s "x,64" -d
// -s "x,64" means that we convert size from original to scaled for 64 pixels height
// -d gives your an ASCII output of target image
// and then you can see a string representation 

void setup() {
  oled.begin(32);
  oled.clrscr();
}

byte loop_count = 0;
void loop() {
   // clear the screen
  oled.clrscr();
  delay(5);
  if(loop_count %3 == 0)
  {
  	// Set default font
  	oled.setFont(0);
  	oled.gotoXY(0, 0);
  	oled.print("Quick brown fox jumps over the lazy dog!");
	  oled.gotoXY(10, 2);
    // Some "digital" font (only to print a numbers)
    oled.setFont(zuno_font_numbers16);
    // Draw Fix point number
    oled.fixPrint(loop_count,1);
    oled.gotoXY(90, 3);
    // A sample of custom regional font, 
    // from where the Z-Uno was born 
    oled.setFont(zuno_font_rus8);
    oled.print("Ghbdtn!");   //  Привет! = Hellow! (in Russian)
  }
  else
  {
  	 // Draw filled rectangle
     oled.invert(false);
     oled.gotoXY(10, 1);
     oled.fillRect(30,1,0xFF);
     oled.gotoXY(10, 2);
     oled.fillRect(60,1,0xAA);
     oled.gotoXY(10, 3);
     oled.fillRect(50,1,0xFF);
  }
  delay(5000);
  // Some SFX
  oled.invert(true);
  delay(1000);
  oled.invert(false);
 
  loop_count++;
}
